### Constructor

# WPEWebProcessExtension ContextMenuItem new_from_stock_action_with_label

#### Declaration [src]

    WebKitContextMenuItem*
    webkit_context_menu_item_new_from_stock_action_with_label (
      WebKitContextMenuAction action,
      const gchar* label
    )

#### Description [src]

Creates a new `WebKitContextMenuItem` for the given stock action using the given `label`.

Stock actions have a predefined label, this method can be used to create a `WebKitContextMenuItem` for a `WebKitContextMenuAction` but using a custom label.

#### Parameters

`action`

  Type: `WebKitContextMenuAction`

  A `WebKitContextMenuAction` stock action.

`label`

  Type: `const gchar*`

  A custom label text to use instead of the predefined one.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitContextMenuItem`

The newly created `WebKitContextMenuItem` object.

The data is owned by the called function.